
.spacing-block {
    padding-top: 32px;
    padding-bottom: 24px;
    padding-left: 16px;
    padding-right: 16px;
}
.new-newsletter {
    max-width: clamp(1024px, 70%, 1556px);
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    margin: 0 auto;
    background-color: white;
}

@media (min-width: 1208px) {

    .new-newsletter {
        align-items: center;
    }

    .newsletter-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
}

.email-submit-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    gap: 10px;
    padding: 12px 0;

    border-bottom: 1px solid #0000003D;

    transition: border-bottom-color 0.15s ease;
}

.email-submit-container.focused,
.email-submit-container:hover {
    border-bottom-color: black; /* Change border color when focused */
  }

.email-submit-container p {
    display: hidden;
}

.email-submit-container input[type="email"] {
    width: 100%;
    font-size: 16px;
    color: black;
    background-color: white;
    border: none;
    outline: none;
}

.email-submit-container input[type="email"]:-webkit-autofill {
    background-color: white !important;
    color: black !important;
    /* font-size: 40px !important; */
    border: none !important;
    outline: none !important;
    -webkit-box-shadow: 0 0 0px 1000px white inset !important; /* Forces background color */
    box-shadow: 0 0 0px 1000px white inset !important; /* Forces background color */
    -webkit-text-fill-color: black !important; 
}

/* Override autofill background color when the input is active */
.email-submit-container input[type="email"]:-webkit-autofill:focus {
    background-color: black !important;
    color: white !important;
    /* font-size: 40px !important; */
    border: none !important;
    outline: none !important;
    -webkit-box-shadow: 0 0 0px 1000px black inset !important; /* Forces background color */
    box-shadow: 0 0 0px 1000px black inset !important; /* Forces background color */
    -webkit-text-fill-color: white !important; 
}

.email-submit-container input[type="email"]:focus {
    outline: none;
    border: none;
}

.signup-to-newsletter input[type="email"]::placeholder {
    color: #0000008F;
}

.email-submit-container.focus-visible {
    outline: 2px solid white;
    outline-offset: 4px;
}

.new-newsletter .newsletter-container h2.newsletter__title {
    font-size: 24px;
    text-align: left;
    color: black;
    margin-bottom: 8px;
}

.new-newsletter .newsletter-container div.newsletter__body__container {
    max-width: 600px;
}

.new-newsletter .newsletter__body {
    font-size: 16px;
    text-align: left;
    color: black;
    grid-column: span 12;
}

.input-container {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.new-submit {
    display: flex;
    justify-content: flex-end;
}

.wpcf7 .ajax-loader {
    display: none;
}

.wpcf7-list-item-label,
.wpcf7-list-item-label a {
    color: #00000052;
    transition: color 0.15s ease-in-out;
}

.wpcf7-list-item {
    margin: 0;
}

.wpcf7-list-item label {
    display: flex;
    align-items: center;
    gap: 12px;
}

.wpcf7-list-item input {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 16px; /* Adjust the width and height as needed */
    height: 16px;
    border: 1px solid #00000052; /* Gray border */
    background-color: white; /* Black background */
    outline: none; /* Remove default focus outline */
    cursor: pointer;
    position: relative;
    margin: 0;

    transition: border-color 0.15s ease-in-out;
}

.wpcf7-list-item input[type="checkbox"]:checked {
    background-color: black; /* Black background */
    border-color: black; /* Darker gray border */
}

/* Style the checkmark */
.signup-to-newsletter input[type="checkbox"]:checked::after {
    content: ''; /* Required for pseudo-element */
    position: absolute;
    top: 50%;
    left: 20%;
    transform: translate(-50%, -50%);
    width: 5px; /* Adjust size of checkmark */
    height: 10px; /* Adjust size of checkmark */
    border: solid white; /* White checkmark */
    border-width: 0 2px 2px 0;
    opacity: 0; /* Initially invisible */
    rotate: 45deg; /* Rotate checkmark */
    animation: fadeInCheckmark 0.3s forwards; /* Animation to fade checkmark forward */
}

/* Animation to fade checkmark forward */
@keyframes fadeInCheckmark {
    from {
        opacity: 0;
        transform: translate(-50%, -50%) scale(0.5); /* Initial scale */
    }
    to {
        opacity: 1;
        transform: translate(-50%, -50%) scale(1); /* Final scale */
    }
}


input[type="checkbox"].white-text,
span.wpcf7-list-item-label.white-text,
span.wpcf7-list-item-label a.white-text {
    border-color: black;
    color: black;
}

.wpcf7-submit {
    width: 24px;
    height: 24px;
    border: none;
    padding: 0;
    cursor: pointer;
    transition: background-image 0.15s ease-in-out;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
}

.wpcf7-response-output,
.wpcf7-not-valid-tip.remove-text {
    display: none;
}

/* wpcf7-not-valid-tip red validation text class - does not disappear after one has removed the faulty email in the form */

@media only screen and (min-width: 600px) {
    .spacing-block {
        padding-top: 48px;
        padding-bottom: 48px;
        padding-left: 16px;
        padding-right: 16px;
    }
    .new-newsletter .newsletter-container h2.newsletter__title {
        font-size: 32px;
    }
    .email-submit-container input[type="email"] {
        font-size: 20px;
    }
}
@media only screen and (min-width: 900px) {
    .spacing-block {
        padding-top: 64px;
        padding-bottom: 64px;
        padding-left: 24px;
        padding-right: 24px;
    }
    .new-newsletter .newsletter-container h2.newsletter__title {
        font-size: 40px;
        margin-bottom: 0px;
    }
    .email-submit-container input[type="email"] {
        font-size: 24px;
    }
    
}
@media only screen and (min-width: 1200px) {
    .spacing-block {
        padding-top: 88px;
        padding-bottom: 88px;
        padding-left: 24px;
        padding-right: 24px;
    }
    .new-newsletter .newsletter-container h2.newsletter__title {
        font-size: 48px;
    }
    .email-submit-container input[type="email"] {
        font-size: 32px;
    }
}
@media only screen and (min-width: 2000px) {
}
